#/bin/sh

#### Include the library
. $(which sh2ju.sh)

#### Success command
juLog  -name=myTrueCommand                  true

#### Test op5updates packagelist
TEMPFILE=`mktemp`
# Mock yum list updates with indented output
yum() {
	cat data/yumupdates.list
}
export -f yum
/etc/cron.hourly/op5updates packagelist > $TEMPFILE
juLog  -name=CheckYumUpdateList -ierror=differ diff -q data/yumupdates.packages $TEMPFILE
juLog  -name=CheckYumUpdateCount [ "67" ==  "`cat /opt/op5sys/etc/updates`" ]

#### Test op5updates packagelist
TEMPFILE=`mktemp`
# Mock yum list updates with empty result set
yum() {
	echo
}
export -f yum
/etc/cron.hourly/op5updates packagelist > $TEMPFILE
juLog  -name=CheckYumUpdateListEmpty [ "--No packages available for update--" ==  "`cat $TEMPFILE`" ]
juLog  -name=CheckYumUpdateCount [ "0" ==  "`cat /opt/op5sys/etc/updates`" ]

exit $errors
